%global debug_package %{nil}
%global project       openshift
%global repo          image-inspector
%global commit        v2.1.2
%global shortcommit   %(c=%{commit}; echo ${c:0:7})

Name:           image-inspector
Version:        2.1.2
Release:        2%{?dist}
#Release:        2.git%{shortcommit}%{?dist}
Summary:        Tool for extracting and serving content of container images
License:        ASL 2.0
URL:            https://github.com/openshift/image-inspector
Source0:        https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{version}.tar.gz
#Source0:        https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Requires:       openscap-scanner
BuildRequires:  golang >= 1.2-7
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 %{arm} aarch64 ppc64le s390x}

%description
Image Inspector can extract docker images to a target directory and
optionally serve the content through webdav.

%prep
%setup -qn %{name}-%{version}
#%setup -qn %{repo}-%{commit}

%build
# set up temporary build gopath, and put our directory there
mkdir -p ./_build/src/github.com/openshift
ln -s $(pwd) ./_build/src/github.com/openshift/image-inspector

export GOPATH=$(pwd)/_build:$(pwd)/Godeps/_workspace:%{gopath}
go build -o image-inspector cmd/image-inspector.go

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 ./image-inspector %{buildroot}%{_bindir}/image-inspector

%files
%doc LICENSE README.md
%{_bindir}/image-inspector

%changelog
* Thu Nov 16 2017 Yaakov Selkowitz <yselkowi@redhat.com> - 2.1.2-2
- Rebuilt for multi-arch enablement

* Tue May 30 2017 Federico Simoncelli <fsimonce@redhat.com> - 2.1.2-1
- Update to image-inspector version 2.1.2

* Tue Jan 24 2017 Federico Simoncelli <fsimonce@redhat.com> - 2.1.1-1
- Update to image-inspector version 2.1.1

* Thu Nov 24 2016 Federico Simoncelli <fsimonce@redhat.com> - 2.1.0-1
- Update to image-inspector version 2.1.0

* Mon May 16 2016 Federico Simoncelli <fsimonce@redhat.com> - 2.0.1-2
- Update to image-inspector version 2.0.1

* Thu Jan 7 2016 Federico Simoncelli <fsimonce@redhat.com> - 1.0.0-1
- Initial Build
